Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

From: Bob Hinden <[email-masked]>
Date: Sun, 1 Dec 2019 13:35:24 -0800

Ron,

> On Nov 30, 2019, at 12:36 PM, Ron Bonica <rbonica=[email-masked]> wrote:
> 
> Pablo,
> 
> 
> 
> Consider the packet (SA,DA) (S3, S2, S1; SL) where:
> 
> 
> 
> 	• SA is link-local (fe80)
> 	• DA, S3, S2, and S1 are all END.X
> 
> 
> Section 4.2 suggests that this packet will be delivered over multiple hops to its destination, regardless of its link-local source address.

I would think that RFC2460 Section 2.5.6. "Link-Local IPv6 Unicast Addresses” covers this:

   Link-Local addresses are for use on a single link.  Link-Local
   addresses have the following format:

   |   10     |
   |  bits    |         54 bits         |          64 bits           |
   +----------+-------------------------+----------------------------+
   |1111111010|           0             |       interface ID         |
   +----------+-------------------------+----------------------------+

   Link-Local addresses are designed to be used for addressing on a
   single link for purposes such as automatic address configuration,
   neighbor discovery, or when no routers are present.

   Routers must not forward any packets with Link-Local source or
   destination addresses to other links.

Bob

> 
> 
> 
> Is this the case?
> 
> 
> 
>                                                              Ron
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Juniper Business Use Only
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring

---

From: Mark Smith <[email-masked]>
Date: Mon, 2 Dec 2019 09:30:35 +1100

On Mon, 2 Dec 2019, 08:35 Bob Hinden, <[email-masked]> wrote:

> > Section 4.2 suggests that this packet will be delivered over multiple
> hops to its destination, regardless of its link-local source address.
>

I think that's RFC4291.

RFC4007, "IPv6 Scoped Address Architecture" does too, more generally and
probably more formally, in particular section 9, "Forwarding".

Regards,
Mark.

---

From: Ron Bonica <[email-masked]>
Date: Sun, 1 Dec 2019 22:47:08 +0000

Mark, Bob,

Yes, I agree that routers should not forward packets with link local source addresses.

Pablo,

Maybe we should update section 4.2 of the network programming draft to reflect this?

                                                                 Ron

From: Mark Smith <[email-masked]>
Sent: Sunday, December 1, 2019 5:31 PM
To: Bob Hinden <[email-masked]>
Cc: Ron Bonica <[email-masked]>; SPRING WG <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

On Mon, 2 Dec 2019, 08:35 Bob Hinden, <[email-masked]<mailto:[email-masked]>> wrote:
Ron,

> On Nov 30, 2019, at 12:36 PM, Ron Bonica <rbonica=[email-masked]<mailto:[email-masked]>> wrote:
>
> Pablo,
>
>
>
>       * SA is link-local (fe80)
>       * DA, S3, S2, and S1 are all END.X
>
>

I would think that RFC2460 Section 2.5.6. "Link-Local IPv6 Unicast Addresses" covers this:

   |   10     |

I think that's RFC4291.

RFC4007, "IPv6 Scoped Address Architecture" does too, more generally and probably more formally, in particular section 9, "Forwarding".

Regards,
Mark.

Bob

> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/spring<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/spring__;!8WoA6RjC81c!QkzoS4tJW9v0MWl7yOK40dnKAzRQeQGFdX7602on56clngTIGsSc3opZDFf6Y6uT$>

_______________________________________________
spring mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/spring<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/spring__;!8WoA6RjC81c!QkzoS4tJW9v0MWl7yOK40dnKAzRQeQGFdX7602on56clngTIGsSc3opZDFf6Y6uT$>

---

From: Bob Hinden <[email-masked]>
Date: Sun, 1 Dec 2019 14:50:48 -0800

> On Dec 1, 2019, at 2:30 PM, Mark Smith <[email-masked]> wrote:
> 
> 
> 

Sorry, of course, it RFC4291.

Thanks,
Bob

---

From: Bob Hinden <[email-masked]>
Date: Sun, 1 Dec 2019 14:56:17 -0800

Ron,

> On Dec 1, 2019, at 2:47 PM, Ron Bonica <[email-masked]> wrote:
> 
> Mark, Bob,
> 

or Destination addresses.

> Maybe we should update section 4.2 of the network programming draft to reflect this?

I was thinking that unless network programming has text that might cause one to think it overrides the defined behavior from rfc4291 for link-local addresses, I am not sure it has to be mentioned.

Bob

---

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Mon, 2 Dec 2019 03:12:36 +0000

Bob,

>>I was thinking that unless network programming has text that might cause one to think it overrides the defined behavior from rfc4291 for link-local addresses, I am not sure it has to be mentioned.
I agree with this. I'd rather not add in net-pgm because If we were to start adding texts like this, we will need to be exhaustive and address not just this case but perhaps all other invalid cases (e.g martian addresses). 

Rgds
--
Kamran

On 2019-12-01, 5:56 PM, "spring on behalf of Bob Hinden" <[email-masked] on behalf of [email-masked]> wrote:

    Ron,

    

    Bob

---

From: Ron Bonica <[email-masked]>
Date: Mon, 2 Dec 2019 15:36:22 +0000

Bob,

Take a look at Section 4.2. The pseudocode is pretty specific.

                                            Ron

-----Original Message-----
From: Bob Hinden <[email-masked]> 
Sent: Sunday, December 1, 2019 5:56 PM
To: Ron Bonica <[email-masked]>
Cc: Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>; SPRING WG <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Ron,

Bob

---

From: Bob Hinden <[email-masked]>
Date: Mon, 2 Dec 2019 07:46:39 -0800

Ron,

> On Dec 2, 2019, at 7:36 AM, Ron Bonica <[email-masked]> wrote:
> 
> Bob,
> 

Please explain.  I don’t see that.

Thanks,
Bob

---

From: Ron Bonica <[email-masked]>
Date: Mon, 2 Dec 2019 15:58:47 +0000

Bob,

Before we debate presentation too much, we should let Pablo answer the original question. Will the packet be dropped or forwarded?

If the packet will be dropped, how is the reader of Section 4.2 to know this? Normally, pseudocode is taken literally, and the pseudocode in Section 4.2 suggests that the packet will be forwarded.

One way to wiggle out of this problem is to include a sentence at the beginning of Section 4 saying, "When the following pseudocode contradicts RFC 4291 or 8200, RFCs 4291 and 8200 take precedence.

                                                                                                              Ron

-----Original Message-----
From: Bob Hinden <[email-masked]> 
Sent: Monday, December 2, 2019 10:47 AM
To: Ron Bonica <[email-masked]>
Cc: Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>; SPRING WG <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Ron,

Thanks,
Bob

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Mon, 2 Dec 2019 21:43:49 +0000

Hi Ron, Pablo and some others are on vacation last week and the rest of this week. Some responses will be delayed.

Darren

> On Dec 2, 2019, at 10:58 AM, Ron Bonica <rbonica=[email-masked]> wrote:
> 
> Bob,
>

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Fri, 6 Dec 2019 15:53:25 +0000

Hi Ron, I agree with Bob here.

Section 4.2 pseudocode simply says an implementation would use a predetermined egress adjacency instead of performing a FIB lookup to find one.  
It specifies the SID processing, not the entire IPv6 data path.

It has no text that would indicate RFC4291 text on link-local addresses and routers would not apply.

As a side note, every routing header currently defined (even those now deprecated) do not re-state the RFC4291 text.

Thanks,
  Darren

---

From: Ron Bonica <[email-masked]>
Date: Fri, 6 Dec 2019 16:11:08 +0000

Darren,

If the draft adhered strictly to RFC 4291 and RFC 8200 in all other respects, I would agree with you and Bob. However, it doesn't.

As it stands, the reader is left to guess when the draft adheres to previous specifications, but doesn't say so explicitly, and when it is taking liberties with previous specifications.

                                                                               Ron

-----Original Message-----
From: Darren Dukes (ddukes) <[email-masked]> 
Sent: Friday, December 6, 2019 10:53 AM
To: Ron Bonica <[email-masked]>
Cc: Bob Hinden <[email-masked]>; SPRING WG <[email-masked]>; Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Thanks,
  Darren

> Cc: Bob Hinden <[email-masked]>; Mark Smith 
> <[email-masked]>; SPRING WG <[email-masked]>
>> Cc: Bob Hinden <[email-masked]>; Mark Smith 
>> <[email-masked]>; SPRING WG <[email-masked]>
>>>> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/s
>>>> pring__;!8WoA6RjC81c!X0Mi1EMDcUpqGxHLkmQkX30EHTgzVWkxOQTTSCO1ZK60Y1
>>>> fsLwpCkacVdsltFrrl$
>>> 
>>> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/sp
>>> ring__;!8WoA6RjC81c!X0Mi1EMDcUpqGxHLkmQkX30EHTgzVWkxOQTTSCO1ZK60Y1fs
>>> LwpCkacVdsltFrrl$
>>> 
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/spri
> ng__;!8WoA6RjC81c!X0Mi1EMDcUpqGxHLkmQkX30EHTgzVWkxOQTTSCO1ZK60Y1fsLwpCkacVdsltFrrl$

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Mon, 9 Dec 2019 15:16:20 +0000

Ron,

I agree with Bob, Darren and Kamran that the existing IPv6 processing rules are followed in Network Programming and do not need to be re-stated.

Cheers,
Pablo.

-----Original Message-----
From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Date: Friday, 6 December 2019 at 17:17
To: "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

    Darren,

    
                                                                                   Ron

    
    
    -----Original Message-----
    From: Darren Dukes (ddukes) <[email-masked]> 
    Sent: Friday, December 6, 2019 10:53 AM
    To: Ron Bonica <[email-masked]>
    Cc: Bob Hinden <[email-masked]>; SPRING WG <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

    

    Thanks,
      Darren

---

From: Ron Bonica <[email-masked]>
Date: Mon, 9 Dec 2019 23:02:58 +0000

Pablo,

Let us agree to disagree.

Chairs,

Please do not close this issue.

                          Ron

-----Original Message-----
From: spring <[email-masked]> On Behalf Of Pablo Camarillo (pcamaril)
Sent: Monday, December 9, 2019 10:16 AM
To: Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Ron,

Cheers,
Pablo.

-----Original Message-----
From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Date: Friday, 6 December 2019 at 17:17
To: "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

    Darren,

    
                                                                                   Ron

    
    
    -----Original Message-----
    From: Darren Dukes (ddukes) <[email-masked]> 
    Sent: Friday, December 6, 2019 10:53 AM
    To: Ron Bonica <[email-masked]>
    Cc: Bob Hinden <[email-masked]>; SPRING WG <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

    

    Thanks,
      Darren

    _______________________________________________
    spring mailing list
    [email-masked]
    https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/spring__;!!NEt6yMaO-gk!S9ht1iKevwXKxhNLJwPAOviqxEttD_Ij3orL76Tjf6j0zxxgxMKwhMJ8iuT8hyc0$ 

_______________________________________________
spring mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/spring__;!!NEt6yMaO-gk!S9ht1iKevwXKxhNLJwPAOviqxEttD_Ij3orL76Tjf6j0zxxgxMKwhMJ8iuT8hyc0$

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Wed, 11 Dec 2019 20:07:22 +0000

Ron,

Ok. Let me try to be open-minded and understand why you have a concern that no-one else is sharing:

I guess that your concern is that since we do not have a second FIB lookup, hence you believe that we would just cross-connect the packet. Is this correct?
The fact that we set the egress adjacency as part of the End.X pseudocode does not mean that we skip the IPv6 processing, and as part of the IPv6 processing we would not forward such packet.

Thanks,
Pablo.

-----Original Message-----
From: Ron Bonica <[email-masked]>
Date: Tuesday, 10 December 2019 at 00:03
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses

    Pablo,

    Chairs,

                              Ron

    
    -----Original Message-----
    From: spring <[email-masked]> On Behalf Of Pablo Camarillo (pcamaril)
    Sent: Monday, December 9, 2019 10:16 AM
    To: Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
    Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
    Ron,

    Cheers,
    Pablo.
    
    -----Original Message-----
    From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
    Date: Friday, 6 December 2019 at 17:17
    To: "Darren Dukes (ddukes)" <[email-masked]>
    Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
        Darren,

        
                                                                                       Ron

        
        
        -----Original Message-----
        From: Darren Dukes (ddukes) <[email-masked]> 
        Sent: Friday, December 6, 2019 10:53 AM
        To: Ron Bonica <[email-masked]>
        Cc: Bob Hinden <[email-masked]>; SPRING WG <[email-masked]>; Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

        

        Thanks,
          Darren

---

From: Ron Bonica <[email-masked]>
Date: Wed, 11 Dec 2019 20:37:24 +0000

Pablo,

I am happy to hear that you would not forward the packet. That is the correct behavior.

Could we make that point clear in the draft? 

                                                                         Ron

-----Original Message-----
From: Pablo Camarillo (pcamaril) <[email-masked]> 
Sent: Wednesday, December 11, 2019 3:07 PM
To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Ron,

Thanks,
Pablo.

-----Original Message-----
From: Ron Bonica <[email-masked]>
Date: Tuesday, 10 December 2019 at 00:03
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses

    Pablo,

    Chairs,

                              Ron

    
    -----Original Message-----
    From: spring <[email-masked]> On Behalf Of Pablo Camarillo (pcamaril)
    Sent: Monday, December 9, 2019 10:16 AM
    To: Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
    Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
    Ron,

    Cheers,
    Pablo.
    
    -----Original Message-----
    From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
    Date: Friday, 6 December 2019 at 17:17
    To: "Darren Dukes (ddukes)" <[email-masked]>
    Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
        Darren,

        
                                                                                       Ron

        
        
        -----Original Message-----
        From: Darren Dukes (ddukes) <[email-masked]> 
        Sent: Friday, December 6, 2019 10:53 AM
        To: Ron Bonica <[email-masked]>
        Cc: Bob Hinden <[email-masked]>; SPRING WG <[email-masked]>; Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

        

        Thanks,
          Darren

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Sat, 14 Dec 2019 10:01:06 +0000

Ron,

Let's say other RFC defines rules X,Y,Z.
Draft-ietf-spring-srv6-network-programming follows those RFCs and hence those rules.
You have a concern that no-one else is sharing on rule Y, and you are asking me to include a reminder saying that Y MUST be followed, but remain silent on X and Z.

What does this mean for X and Z? Does this mean that someone implementing draft-ietf-spring-srv6-network-programming can ignore X and Z? 

Hence, unless you provide a strong reason why such reminder only for Y is needed, I keep my position of agreeing with Bob, Darren and Kamran that such clarification should not be added. Its misleading In my opinion for X and Z. Please provide me an argument or a reason for it.

Thank you,
Pablo.

-----Original Message-----
From: Ron Bonica <[email-masked]>
Date: Wednesday, 11 December 2019 at 21:37
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses

    Pablo,

    
                                                                             Ron

    
    -----Original Message-----
    From: Pablo Camarillo (pcamaril) <[email-masked]> 
    Sent: Wednesday, December 11, 2019 3:07 PM
    To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
    Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
    Ron,

    
    Thanks,
    Pablo.
    
    -----Original Message-----
    From: Ron Bonica <[email-masked]>
    Date: Tuesday, 10 December 2019 at 00:03
    To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
    Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
    Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses
    
        Pablo,

        Chairs,

                                  Ron

        
        -----Original Message-----
        From: spring <[email-masked]> On Behalf Of Pablo Camarillo (pcamaril)
        Sent: Monday, December 9, 2019 10:16 AM
        To: Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
        Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
        
        Ron,

        Cheers,
        Pablo.
        
        -----Original Message-----
        From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
        Date: Friday, 6 December 2019 at 17:17
        To: "Darren Dukes (ddukes)" <[email-masked]>
        Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
        
            Darren,

            
                                                                                           Ron

            
            
            -----Original Message-----

            

            Thanks,
              Darren

---

From: Ron Bonica <[email-masked]>
Date: Mon, 16 Dec 2019 20:39:52 +0000

Pablo,

Your point is well-taken. We should remind the reader to abide by *all* RFC 4291 and RFC 8200 validation rules, not just source address validation . I recommend that you make the following change to Section 4.2:

OLD>
S15.   Set the packet's egress adjacency to a member of J
<OLD

NEW>
S15.   Set the packet's egress adjacency to a member of J. Then, validate and transmit the packet. Validation MUST include all rules specified by RFC 4291 and 8200 (e.g., the source address MUST not be multicast or link-local).
<NEW

The following are some strong reasons for this change:

- In the current text, you select the egress adjacency and stop short. You never say that you are submitting the packet to a forwarding module that validates the packet as per RFCs 4291 and 8200. In fact, you never say that you actually forward the packet at all.
- Source validation is particularly important. Failure to enforce the above-mentioned rules can leave a network open to security vulnerabilities.
- It is likely that some readers of this document are routing experts, but not IPv6 experts. A reminder might be appreciated by those who are not IPv6 experts.
- A strict reading of Section 4.2 suggest that the END.X function might ignore RFC 4291 and RFC 8200 validations. Since the document explores the edges compliance in other places, you probably want to be clear about compliance in Section 4.2.

                                                                                                Happy Holidays,
                                                                                                          Ron

-----Original Message-----
From: Pablo Camarillo (pcamaril) <[email-masked]> 
Sent: Saturday, December 14, 2019 5:01 AM
To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses

Ron,

Thank you,
Pablo.

-----Original Message-----
From: Ron Bonica <[email-masked]>
Date: Wednesday, 11 December 2019 at 21:37
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses

    Pablo,

    
                                                                             Ron

    
    -----Original Message-----
    From: Pablo Camarillo (pcamaril) <[email-masked]> 
    Sent: Wednesday, December 11, 2019 3:07 PM
    To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
    Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
    Ron,

    
    Thanks,
    Pablo.
    
    -----Original Message-----
    From: Ron Bonica <[email-masked]>
    Date: Tuesday, 10 December 2019 at 00:03
    To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
    Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
    Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses
    
        Pablo,

        Chairs,

                                  Ron

        
        -----Original Message-----
        From: spring <[email-masked]> On Behalf Of Pablo Camarillo (pcamaril)
        Sent: Monday, December 9, 2019 10:16 AM
        To: Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
        Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
        
        Ron,

        Cheers,
        Pablo.
        
        -----Original Message-----
        From: spring <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
        Date: Friday, 6 December 2019 at 17:17
        To: "Darren Dukes (ddukes)" <[email-masked]>
        Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
        
            Darren,

            
                                                                                           Ron

            
            
            -----Original Message-----

            

            Thanks,
              Darren

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Thu, 19 Dec 2019 11:51:42 +0000

Thanks Ron for verifying your agreement!  
I think we can make this even simpler by not inventing new text, and relying on the text used in SRH, RFC2460, RFC6554 with a minor tweak to pre-select an egress adjacency.

OLD:

NEW:
S15. Resubmit the packet to the IPv6 module for transmission
               to the new destination via a member of J

I have done this update in rev07.

Thanks,
Pablo.

-----Original Message-----
From: Ron Bonica <[email-masked]>
Date: Monday, 16 December 2019 at 21:40
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses

    Pablo,

    OLD>
    
    NEW>

    
                                                                                                    Happy Holidays,
                                                                                                              Ron

    -----Original Message-----
    From: Pablo Camarillo (pcamaril) <[email-masked]> 
    Sent: Saturday, December 14, 2019 5:01 AM
    To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
    Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
    Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
    
    Ron,

    
    
    Thank you,
    Pablo.
    
    -----Original Message-----
    From: Ron Bonica <[email-masked]>
    Date: Wednesday, 11 December 2019 at 21:37
    To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
    Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
    Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses
    
        Pablo,

        
                                                                                 Ron

        
        -----Original Message-----
        From: Pablo Camarillo (pcamaril) <[email-masked]> 
        Sent: Wednesday, December 11, 2019 3:07 PM
        To: Ron Bonica <[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Darren Dukes (ddukes) <[email-masked]>
        Cc: SPRING WG <[email-masked]>; Bob Hinden <[email-masked]>; Mark Smith <[email-masked]>
        Subject: Re: [spring] SRv6 Network Programming and Link Local Source Addresses
        
        Ron,

        
        Thanks,
        Pablo.
        
        -----Original Message-----
        From: Ron Bonica <[email-masked]>
        Date: Tuesday, 10 December 2019 at 00:03
        To: "Pablo Camarillo (pcamaril)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "Darren Dukes (ddukes)" <[email-masked]>
        Cc: SPRING WG <[email-masked]>, Bob Hinden <[email-masked]>, Mark Smith <[email-masked]>
        Subject: RE: [spring] SRv6 Network Programming and Link Local Source Addresses
        
            Pablo,

            Chairs,

                                      Ron

            
            -----Original Message-----
            
            Ron,

            Cheers,
            Pablo.
            
            -----Original Message-----
            
                Darren,

                
                                                                                               Ron

                
                
                -----Original Message-----

                

                Thanks,
                  Darren